# HSUNIGENE_GENIE
# Human Unigene SAGEGENIE
[SAMPLE]
FIELD_ACCESSION java.lang.Integer 2

[LINKAGE_FROM]
LINK_LOCUSLINK   SELECT FKSrc__value FROM HSUNIGENE_CLUSTER__DATA__LINKAGES$LOCUSLINK WHERE FKDest__value=@FIELD_ACCESSION@ ORDER BY FKSrc__value ASC
LINK_TAXONOMY    SELECT id FROM HSUNIGENE__DATA WHERE id LIKE CONCAT(IF(@FIELD_TAXID@=9606,'%','')) ORDER BY id ASC
LINK_CHROMOSOME  SELECT HSUNIGENE_CLUSTER__DATA__LINKAGES$CHROMOSOME.FKSrc__value FROM HSUNIGENE_CLUSTER__DATA__LINKAGES$CHROMOSOME, $CHROMOSOME WHERE FKDest__value=$CHROMOSOME.id AND CONCAT(9606,'-',$CHROMOSOME.value)=CONCAT(@FIELD_TAXID@,'-',@FIELD_CHRNUM@) ORDER BY HSUNIGENE_CLUSTER__DATA__LINKAGES$CHROMOSOME.FKSrc__value;

[KEYWORD]
FIELD_ACCESSION  SELECT DISTINCT HSUNIGENE__DATA.id AS FIELD_ACCESSION FROM HSUNIGENE__DATA, SAGEGENIE__DATA__$HSUNIGENE WHERE HSUNIGENE__DATA.id=SAGEGENIE__DATA__$HSUNIGENE.HSUNIGENE_CLUSTER AND %id% LIKE '@keyword@' ORDER BY id ASC
FIELD_ANNOTATION SELECT DISTINCT HSUNIGENE_CLUSTER__DATA__$ANNOTATION.AK_HSUNIGENE_CLUSTER__DATA__id AS FIELD_ACCESSION FROM HSUNIGENE_CLUSTER__DATA__$ANNOTATION, SAGEGENIE__DATA__$HSUNIGENE WHERE HSUNIGENE_CLUSTER__DATA__$ANNOTATION.AK_HSUNIGENE_CLUSTER__DATA__id=SAGEGENIE__DATA__$HSUNIGENE.HSUNIGENE_CLUSTER AND %HSUNIGENE_CLUSTER__DATA__$ANNOTATION.annotation% LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC
FIELD_TISSUE     SELECT DISTINCT HSUNIGENE_CLUSTER__DATA__$EXPRESSION.AK_HSUNIGENE_CLUSTER__DATA__id AS FIELD_ACCESSION FROM HSUNIGENE_CLUSTER__DATA__$EXPRESSION, HSUNIGENE_CLUSTER__$EXPRESSION, SAGEGENIE__DATA__$HSUNIGENE WHERE HSUNIGENE_CLUSTER__$EXPRESSION.id=SAGEGENIE__DATA__$HSUNIGENE.HSUNIGENE_CLUSTER AND HSUNIGENE_CLUSTER__DATA__$EXPRESSION.AK_HSUNIGENE_CLUSTER__$EXPRESSION__id=HSUNIGENE_CLUSTER__$EXPRESSION.id AND %HSUNIGENE_CLUSTER__$EXPRESSION.tissue% LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC
FIELD_CYTOBAND   SELECT DISTINCT HSUNIGENE_CLUSTER__DATA__$CYTO.AK_HSUNIGENE_CLUSTER__DATA__id AS FIELD_ACCESSION FROM HSUNIGENE_CLUSTER__DATA__$CYTO, SAGEGENIE__DATA__$HSUNIGENE WHERE HSUNIGENE_CLUSTER__DATA__$CYTO.AK_HSUNIGENE_CLUSTER__DATA__id=SAGEGENIE__DATA__$HSUNIGENE.HSUNIGENE_CLUSTER AND %HSUNIGENE_CLUSTER__DATA__$CYTO.cyto% LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC
FIELD_NAME SELECT DISTINCT HSUNIGENE_CLUSTER__DATA__$GENENAME.AK_HSUNIGENE_CLUSTER__DATA__id AS FIELD_ACCESSION FROM HSUNIGENE_CLUSTER__DATA__$GENENAME, SAGEGENIE__DATA__$HSUNIGENE WHERE HSUNIGENE_CLUSTER__DATA__$GENENAME.AK_HSUNIGENE_CLUSTER__DATA__id=SAGEGENIE__DATA__$HSUNIGENE.HSUNIGENE_CLUSTER AND %HSUNIGENE_CLUSTER__DATA__$GENENAME.gene% LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC
FIELD_CHROMOSOME SELECT HSUNIGENE_CLUSTER__DATA__LINKAGES$CHROMOSOME.FKSrc__value AS FIELD_ACCESSION FROM HSUNIGENE_CLUSTER__DATA__LINKAGES$CHROMOSOME, $CHROMOSOME, SAGEGENIE__DATA__$HSUNIGENE WHERE HSUNIGENE_CLUSTER__DATA__LINKAGES$CHROMOSOME.FKSrc__value=SAGEGENIE__DATA__$HSUNIGENE.HSUNIGENE_CLUSTER AND HSUNIGENE_CLUSTER__DATA__LINKAGES$CHROMOSOME.FKDest__value=$CHROMOSOME.id AND $CHROMOSOME.value LIKE '@keyword@' ORDER BY FIELD_ACCESSION ASC