# BIOCARTA
[SAMPLE]
FIELD_ACCESSION java.lang.String anthraxPathway

[TEST_DATUM]
anthraxPathway


[CORE]
FIELD_ANNOTATION    SELECT short_desc FROM BIOCARTA__DATA WHERE name='@FIELD_ACCESSION@'
FIELD_DESCRIPTION   SELECT long_desc FROM BIOCARTA__DATA WHERE name='@FIELD_ACCESSION@'
FIELD_IMAGE         SELECT gif FROM BIOCARTA__DATA__$IMAGES WHERE AK_BIOCARTA__DATA__id='@FIELD_ACCESSION@'

[LINKAGE_TO]

LINK_TAXONOMY SELECT BIOCARTA_NAMES__LINKAGES$TAXONOMY.FKDest__value FROM BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__LINKAGES$TAXONOMY WHERE BIOCARTA__DATA__$COORDMOLECULE.Molecule=BIOCARTA_NAMES__LINKAGES$TAXONOMY.FKSrc__value AND BIOCARTA__DATA__$COORDMOLECULE.AK_BIOCARTA__DATA__name="@FIELD_ACCESSION@"
LINK_OMIM        SELECT DISTINCT BIOCARTA_NAMES__DATA__LINKAGES$OMIM.FKDest__value AS accession, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$OMIM WHERE BIOCARTA_NAMES__DATA__LINKAGES$OMIM.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND BIOCARTA__DATA__$COORDMOLECULE.AK_BIOCARTA__DATA__name='@FIELD_ACCESSION@' ORDER BY BIOCARTA_NAMES__DATA__LINKAGES$OMIM.FKDest__value ASC, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC
LINK_LOCUSLINK   SELECT DISTINCT BIOCARTA_NAMES__DATA__LINKAGES$LOCUSLINK.FKDest__value AS accession, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$LOCUSLINK WHERE BIOCARTA_NAMES__DATA__LINKAGES$LOCUSLINK.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND BIOCARTA__DATA__$COORDMOLECULE.AK_BIOCARTA__DATA__name='@FIELD_ACCESSION@' ORDER BY BIOCARTA_NAMES__DATA__LINKAGES$LOCUSLINK.FKDest__value ASC, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC
LINK_HSUNIGENE   SELECT DISTINCT BIOCARTA_NAMES__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKDest__value AS accession, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$HSUNIGENE_CLUSTER WHERE BIOCARTA_NAMES__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND BIOCARTA__DATA__$COORDMOLECULE.AK_BIOCARTA__DATA__name='@FIELD_ACCESSION@' ORDER BY BIOCARTA_NAMES__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKDest__value ASC, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC
LINK_MMUNIGENE   SELECT DISTINCT BIOCARTA_NAMES__DATA__LINKAGES$MMUNIGENE_CLUSTER.FKDest__value AS accession, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$MMUNIGENE_CLUSTER WHERE BIOCARTA_NAMES__DATA__LINKAGES$MMUNIGENE_CLUSTER.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND BIOCARTA__DATA__$COORDMOLECULE.AK_BIOCARTA__DATA__name='@FIELD_ACCESSION@' ORDER BY BIOCARTA_NAMES__DATA__LINKAGES$MMUNIGENE_CLUSTER.FKDest__value ASC, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC
LINK_RNUNIGENE   SELECT DISTINCT BIOCARTA_NAMES__DATA__LINKAGES$RNUNIGENE_CLUSTER.FKDest__value AS accession, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$RNUNIGENE_CLUSTER WHERE BIOCARTA_NAMES__DATA__LINKAGES$RNUNIGENE_CLUSTER.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND BIOCARTA__DATA__$COORDMOLECULE.AK_BIOCARTA__DATA__name='@FIELD_ACCESSION@' ORDER BY BIOCARTA_NAMES__DATA__LINKAGES$RNUNIGENE_CLUSTER.FKDest__value ASC, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC

[LINKAGE_FROM]
LINK_TAXONOMY SELECT BIOCARTA__DATA__$COORDMOLECULE.AK_BIOCARTA__DATA__name FROM BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__LINKAGES$TAXONOMY WHERE BIOCARTA__DATA__$COORDMOLECULE.Molecule=BIOCARTA_NAMES__LINKAGES$TAXONOMY.FKSrc__value AND BIOCARTA_NAMES__LINKAGES$TAXONOMY.FKDest__value="@FIELD_ACCESSION@"
LINK_OMIM        SELECT DISTINCT BIOCARTA__DATA.name AS identifier, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM OMIM__DATA__$DISORDERS, BIOCARTA_NAMES__DATA__LINKAGES$OMIM, BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA__DATA WHERE BIOCARTA_NAMES__DATA__LINKAGES$OMIM.FKDest__value=OMIM__DATA__$DISORDERS.AK_OMIM__DATA__id AND BIOCARTA_NAMES__DATA__LINKAGES$OMIM.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND BIOCARTA__DATA__$COORDMOLECULE.AK_BIOCARTA__DATA__name=BIOCARTA__DATA.name AND OMIM__DATA__$DISORDERS.AK_OMIM__DATA__id='@FIELD_ACCESSION@'
LINK_LOCUSLINK   SELECT DISTINCT AK_BIOCARTA__DATA__name AS identifier, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$LOCUSLINK WHERE BIOCARTA_NAMES__DATA__LINKAGES$LOCUSLINK.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND FKDest__value='@FIELD_ACCESSION@' ORDER BY FKDest__value, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC
LINK_HSUNIGENE   SELECT DISTINCT AK_BIOCARTA__DATA__name AS identifier, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$HSUNIGENE_CLUSTER WHERE BIOCARTA_NAMES__DATA__LINKAGES$HSUNIGENE_CLUSTER.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND FKDest__value='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC
LINK_MMUNIGENE   SELECT DISTINCT AK_BIOCARTA__DATA__name AS identifier, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$MMUNIGENE_CLUSTER WHERE BIOCARTA_NAMES__DATA__LINKAGES$MMUNIGENE_CLUSTER.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND FKDest__value='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC
LINK_RNUNIGENE   SELECT DISTINCT AK_BIOCARTA__DATA__name AS identifier, BIOCARTA__DATA__$COORDMOLECULE.X1 AS x1, BIOCARTA__DATA__$COORDMOLECULE.X2 AS x2, BIOCARTA__DATA__$COORDMOLECULE.Y1 AS y1, BIOCARTA__DATA__$COORDMOLECULE.Y2 AS y2 FROM BIOCARTA_NAMES__DATA, BIOCARTA__DATA__$COORDMOLECULE, BIOCARTA_NAMES__DATA__LINKAGES$RNUNIGENE_CLUSTER WHERE BIOCARTA_NAMES__DATA__LINKAGES$RNUNIGENE_CLUSTER.FKSrc__value=BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule AND BIOCARTA_NAMES__DATA.AK_BIOCARTA__DATA__$COORDMOLECULE__molecule=BIOCARTA__DATA__$COORDMOLECULE.molecule AND FKDest__value='@FIELD_ACCESSION@' ORDER BY FKDest__value ASC, BIOCARTA__DATA__$COORDMOLECULE.X2 DESC, BIOCARTA__DATA__$COORDMOLECULE.Y2 ASC

[KEYWORD]
FIELD_ACCESSION   SELECT DISTINCT name FROM BIOCARTA__DATA WHERE %name% LIKE '@keyword@' ORDER BY name ASC
FIELD_ANNOTATION  SELECT DISTINCT name FROM BIOCARTA__DATA WHERE %short_desc% LIKE '@keyword@' ORDER BY name ASC
FIELD_DESCRIPTION SELECT DISTINCT name FROM BIOCARTA__DATA WHERE %long_desc% LIKE '@keyword@' ORDER BY name ASC
