# GO
[SAMPLE]
accession java.lang.Integer 4201

[TEST_DATUM]
48109

[CORE]
FIELD_ANNOTATION  SELECT name FROM GO__DATA__$ROOTNAME WHERE AK_GO__DATA__id='@FIELD_ACCESSION@'
FIELD_DEFINITION  SELECT definition FROM GO__DATA__$DEFINITION WHERE AK_GO__DATA__id='@FIELD_ACCESSION@'
FIELD_SYNONYMS    SELECT synonym FROM GO__DATA__$SYNONYM WHERE AK_GO__DATA__id='@FIELD_ACCESSION@'
FIELD_GENE_NAME   SELECT name FROM GO__DATA__$GENEPRODUCT_NAME WHERE AK_GO__DATA__id='@FIELD_ACCESSION@'

[LINKAGE_TO]
LINK_GO_CHILDREN SELECT DISTINCT AK_GO__DATA__id_$PARENT AS accession FROM GO__DATA__$ISA WHERE AK_GO__DATA__id_$CHILD='@FIELD_ACCESSION@'
LINK_GO_PARENT   SELECT DISTINCT AK_GO__DATA__id_$CHILD  AS accession FROM GO__DATA__$ISA WHERE AK_GO__DATA__id_$PARENT='@FIELD_ACCESSION@'
LINK_GO_PARTOF   SELECT DISTINCT AK_GO__DATA__id_$PARENT AS accession FROM GO__DATA__$PARTOF WHERE AK_GO__DATA__id_$CHILD='@FIELD_ACCESSION@'
LINK_SWISSPROT   SELECT DISTINCT AK_SWISSPROT__DATA__id AS accession, GO_$ASSOCIATION__id AS FIELD_ASSOCIATION FROM GO__DATA__LINKAGES$SWISSPROT, SWISSPROT__DATA__$ACCESSIONS WHERE FKDest__value=accession AND FKSrc__value='@FIELD_ACCESSION@'

[LINKAGE_FROM]
LINK_SWISSPROT   SELECT DISTINCT FKSrc__value/1 AS FIELD_ACCESSION, GO_$ASSOCIATION__id AS association FROM GO__DATA__LINKAGES$SWISSPROT, SWISSPROT__DATA__$ACCESSIONS WHERE FKDest__value=accession AND FKDest__value='@FIELD_ACCESSION@'

[KEYWORD]
FIELD_ACCESSION   SELECT id FROM GO__DATA WHERE %id% LIKE '@keyword@'
FIELD_ANNOTATION  SELECT DISTINCT AK_GO__DATA__id FROM GO__DATA__$ROOTNAME WHERE %name% LIKE '@keyword@' ORDER BY AK_GO__DATA__id ASC
FIELD_DEFINITION  SELECT DISTINCT AK_GO__DATA__id FROM GO__DATA__$DEFINITION WHERE %definition% LIKE '@keyword@' ORDER BY AK_GO__DATA__id ASC
FIELD_SYNONYMS    SELECT DISTINCT AK_GO__DATA__id FROM GO__DATA__$SYNONYM WHERE %synonym% LIKE '@keyword@' ORDER BY AK_GO__DATA__id ASC
FIELD_GENE_NAME   SELECT DISTINCT AK_GO__DATA__id FROM GO__DATA__$GENEPRODUCT_NAME WHERE %name% LIKE '@keyword@' ORDER BY AK_GO__DATA__id ASC
